[![GitHub release (latest by date)](https://img.shields.io/github/v/release/Argent77/A7-NoEENPCs?color=darkred&include_prereleases&label=latest%20release)](https://github.com/Argent77/A7-NoEENPCs/releases/latest)
[![Github downloads (all releases)](https://img.shields.io/github/downloads/Argent77/A7-NoEENPCs/total.svg?color=gold)](https://github.com/Argent77/A7-NoEENPCs/releases)
[![Platform](https://img.shields.io/static/v1?label=platform&message=Windows%20%7C%20macOS%20%7C%20Linux%20%7C%20Project%20Infinity&color=informational)](https://github.com/Argent77/A7-NoEENPCs/releases/latest)
[![Supported games](https://img.shields.io/static/v1?label=supported%20games&message=BG%3AEE%20%7C%20SoD%20%7C%20BG2%3AEE%20%7C%20EET&color=indigo)](https://github.com/Argent77/A7-NoEENPCs)
[![Language](https://img.shields.io/static/v1?label=language&message=English%20%7C%20French%20%7C%20German%20%7C%20Polish%20%7C%20Russian&color=limegreen)](https://github.com/Argent77/A7-NoEENPCs)

# Convenient Enhanced Edition NPCs
*A mod for BG:EE, BG2:EE and EET that allows you to tweak the new Beamdog NPCs.*

[![Website](https://img.shields.io/static/v1?label=Website&message=Convenient%20EE%20NPCs&color=ccc7ba&labelColor=eee&style=for-the-badge)](https://argent77.github.io/A7-NoEENPCs/index.html "View Readme")

[![Beamdog Forums](https://img.shields.io/static/v1?label=Discussion&message=Beamdog%20Forums&color=444&labelColor=eee&style=for-the-badge)](https://forums.beamdog.com/discussion/43074 "Beamdog Forums")
&nbsp;&nbsp;
[![SHS Forums](https://img.shields.io/static/v1?label=Discussion&message=SHS%20Forums&color=951514&labelColor=eee&style=for-the-badge)](http://www.shsforums.net/topic/58322-mod-disable-enhanced-edition-npcs/ "Spellhold Studios Forums")

## Overview

The new NPCs introduced in the Enhanced Editions differ somewhat from the original cast and might not be everyone's taste. This mod provides a number of options to adapt them to your comfort level. You can make their first appearance more passive, giving you more control over whether or when to make the first contact. A small number of events will be slightly altered to make this possible.

Alternatively it is also possible to simply remove one or more NPCs from the game. In that case you have the choice to make their personal or quest-related items available to everyone in stores or as loot.

Additional components allow you to improve their portraits or customize their classes and/or kits to whatever you desire. You can find more detailed information below.


## Components

### NPC Appearance

- **Modify Enhanced Edition NPCs (BG:EE, BG:SOD, BG2:EE and EET)**
  - **Disable all NPCs**: Disables NPCs all at once.
  - **Make all NPCs passive**: Makes all NPCs passive at once.
  - **Decide for each NPC individually**: See below.

The following components are only available when selecting subcomponent "Decide for each NPC individually":

- **Modify individually: Baeloth**
  - **Disable Baeloth *(BG:EE and EET only)*:** This component prevents Baeloth from spawning in BG:EE. (Black Pits and Siege of Dragonspear are not affected.)
  - **Make Baeloth passive *(BG:EE and EET only)*:** This component reduces the introduction cutscene to a bare minimum and prevents Baeloth from initiating a conversation on his own.

- **Disable Dorn *(BG:EE, BG:SOD, BG2:EE and EET)*:** This component prevents Dorn from appearing in BG:EE, BG:SOD and BG2:EE.

- **Modify individually: Hexxat**
  - **Disable Hexxat *(BG2:EE and EET only)*:** This component prevents Hexxat and related NPCs from appearing in BG2:EE.
  - **Make Hexxat passive *(BG2:EE and EET only)*:** This component prevents Hexxat from initiating a conversation on her own.

- **Modify individually: Neera**
  - **Disable Neera *(BG:EE, BG:SOD, BG2:EE and EET)*:** This component prevents Neera from appearing in BG:EE, BG:SOD and BG2:EE.
  - **Make Neera passive *(BG:EE, BG2:EE and EET)*:** In BG:EE this component prevents Neera from initiating a conversation on her own. In BG2:EE this component triggers the introduction cutscene in the Bridge District only when you talk to Neera. She can be found near the place where the Red Wizards cutscene occurs after the townsfolk talked about the local murders.

- **Modify individually: Rasaad**
  - **Disable Rasaad *(BG:EE, BG:SOD, BG2:EE and EET)*:** This component prevents Rasaad from appearing in BG:EE, BG:SOD and BG2:EE.
  - **Make Rasaad passive *(BG:EE, BG2:EE and EET)*:** In BG:EE This component prevents Rasaad from joining the fight against the assassins Neira or Nimbul in Nashkel. In BG2:EE this component triggers the introduction cutscene in Trademeet only when you talk to Rasaad. He can be found near the fountain.

- **Make NPC-specific items available for everyone:** This component allows you to acquire personal or quest-related items of disabled NPC(s) from merchants all over the game or as loot from containers or creatures. It is only available if you select to disable all or individual NPCs.

- **Allied Caelar Argent in Avernus boss battle *(BG:SOD and EET)*:** This component allows you to control Caelar Argent if she joins the battle as an ally. The following options allow you to refine her behavior even further:
  - **Joins as controllable follower if no free party slots available:** Retains the original behavior of the game by letting Caelar Argent join as a regular party member if a free slot is available.
  - **Always joins as controllable follower:** Prevents Caelar Argent from joining the party when invited, even if there is a free party slot available. This option is mostly useful for players who want to solo the whole game.

### NPC Portraits

- **Change portrait: Baeloth** Installs an alternate portrait variant for the whole game (BG:EE and EET) or only for the BG2 part (EET only).

- **Change portrait: Dorn** Installs a BG2-style portrait variant for the whole game (BG:EE, BG2:EE and EET) or only for the BG2 part (EET only).

- **Change portrait: Hexxat** Installs BG2-style portrait variants for the whole game (BG2:EE and EET).

- **Change portrait: Neera** Installs a BG2-style portrait variant for the whole game (BG:EE, BG2:EE and EET) or only for the BG2 part (EET only).

- **Change portrait: Rasaad** Installs a BG2-style portrait variant for the whole game (BG:EE, BG2:EE and EET) or only for the BG2 part (EET only).

- **Improved portrait: Wilson** Installs an improved portrait variant for Wilson (BG2:EE and EET).

### NPC Class Changes

- **Change class/kit: Baeloth (BG:EE, SoD and EET)**
  - **Reset level only**: Resets his level to 1, but makes no changes to his current class or kit.
  - **Choose your class**: This option allows you to choose any class/kit combination you desire. *Caution: Some class combinations can be immersion-breaking or may have unwanted side effects. Use at your own risk!*
  - **Mage**: Resets his level to 1 and applies the class "Mage".
  - **Abjurer**: Resets his level to 1 and applies the mage kit "Abjurer".
  - **Conjurer**: Resets his level to 1 and applies the mage kit "Conjurer".
  - **Diviner**: Resets his level to 1 and applies the mage kit "Diviner".
  - **Enchanter**: Resets his level to 1 and applies the mage kit "Enchanter".
  - **Illusionist**: Resets his level to 1 and applies the mage kit "Illusionist".
  - **Invoker**: Resets his level to 1 and applies the mage kit "Invoker".
  - **Necromancer**: Resets his level to 1 and applies the mage kit "Necromancer".
  - **Transmuter**: Resets his level to 1 and applies the mage kit "Transmuter".
  - **Wild Mage**: Resets his level to 1 and applies the mage kit "Wild Mage".
  - **Dragon Disciple**: Resets his level to 1 and applies the sorcerer kit "Dragon Disciple".
  - **Chaos Sorcerer**: Resets his level to 1 and applies the custom sorcerer kit "Chaos Sorcerer". *(requires mod "Chaos Sorcerer Kit" by Argent77)*
  - **Shadow Adept**: Resets his level to 1 and applies the custom mage kit "Shadow Adept". *(requires mod "Shadow Magic" by Artemius_I)*

- **Change class/kit: Dorn (BG:EE, SoD, BG2:EE and EET)**
  - **Reset level only**: Resets his level to 1, but makes no changes to his current class or kit.

**Note:** Dorn's personal quests are too closely linked to his profession to allow any class changes.

- **Change class/kit: Neera (BG:EE, SoD, BG2:EE and EET)**
  - **Reset level only**: Resets her level to 1, but makes no changes to her current class or kit.
  - **Choose your class**: This option allows you to choose any class/kit combination you desire. *Caution: Some class combinations can be immersion-breaking or may have unwanted side effects. Use at your own risk!*
  - **Chaos Sorcerer**: Resets her level to 1 and applies the custom sorcerer kit "Chaos Sorcerer". *(requires mod "Chaos Sorcerer Kit" by Argent77)*

- **Change class/kit: Rasaad (BG:EE, SoD, BG2:EE and EET)**
  - **Reset level only**: Resets his level to 1, but makes no changes to his current class or kit.
  - **Choose your class**: This option allows you to choose any class/kit combination you desire. *Caution: Some class combinations can be immersion-breaking or may have unwanted side effects. Use at your own risk!*
  - **Monk**: Resets his level to 1 and applies the class "Monk".
  - **Silverstar of Selûne**: Resets his level to 1 and applies the custom cleric kit "Silverstar of Selûne". *(requires component "Silverstar of Selûne" of the mod "Divine Remix")*

- **Change class/kit: M'Khiin (SoD and EET)**
  - **Reset level only**: Resets her level to 1, but makes no changes to her current class or kit.

**Note:** M'Khiin's special racial traits don't allow to make changes to her original class.

- **Change class/kit: Glint (SoD and EET)**
  - **Reset level only**: Resets his level to 1, but makes no changes to his current class or kit.
  - **Choose your class**: This option allows you to choose any class/kit combination you desire. *Caution: Some class combinations can be immersion-breaking or may have unwanted side effects. Use at your own risk!*
  - **Cleric**: Resets his level to 1 and applies the class "Cleric".
  - **Fighter/Cleric**: Resets his level to 1 and applies the multiclass combination "Fighter/Cleric".
  - **Cleric/Illusionist**: Resets his level to 1 and applies the specialized multiclass combination "Cleric/Illusionist".

- **Change class/kit: Voghiln (SoD and EET)**
  - **Reset level only**: Resets his level to 1, but makes no changes to his current class or kit.
  - **Choose your class**: This option allows you to choose any class/kit combination you desire. *Caution: Some class combinations can be immersion-breaking or may have unwanted side effects. Use at your own risk!*
  - **Bard**: Resets his level to 1 and applies the class "Bard".
  - **Blade**: Resets his level to 1 and applies the bard kit "Blade".
  - **Thief**: Resets his level to 1 and applies the class "Thief".
  - **Swashbuckler**: Resets his level to 1 and applies the thief kit "Swashbuckler".

- **Change class/kit: Corwin (SoD and EET)**
  - **Reset level only**: Resets her level to 1, but makes no changes to her current class or kit.
  - **Choose your class**: This option allows you to choose any class/kit combination you desire. *Caution: Some class combinations can be immersion-breaking or may have unwanted side effects. Use at your own risk!*
  - **Ranger**: Resets her level to 1 and applies the class "Ranger".
  - **Stalker**: Resets her level to 1 and applies the ranger kit "Stalker".
  - **Fighter**: Resets her level to 1 and applies the class "Fighter".
  - **Wizard Slayer**: Resets her level to 1 and applies the fighter kit "Wizard Slayer".
  - **Cleric**: Resets her level to 1 and applies the class "Cleric".
  - **Priest of Tyr**: Resets her level to 1 and applies the cleric kit "Priest of Tyr".
  - **Priest of Helm**: Resets her level to 1 and applies the cleric kit "Priest of Helm".
  - **Paladin**: Resets her level to 1 and applies the class "Paladin".
  - **Cavalier**: Resets her level to 1 and applies the paladin kit "Cavalier".
  - **Inquisitor**: Resets her level to 1 and applies the paladin kit "Inquisitor".

- **Change class/kit: Hexxat (BG2:EE and EET)**
  - **Reset level only**: Resets her level to 1, but makes no changes to her current class or kit.
  - **Choose your class**: This option allows you to choose any class/kit combination you desire. *Caution: Some class combinations can be immersion-breaking or may have unwanted side effects. Use at your own risk!*
  - **Assassin**: Resets her level to 1 and applies the thief kit "Assassin".
  - **Shadowdancer**: Resets her level to 1 and applies the thief kit "Shadowdancer".
  - **Mage/Thief**: Resets her level to 1 and applies the multiclass combination "Mage/Thief".
  - **Mage/Assassin**: Resets her level to 1 and applies the specialized multiclass combination "Mage/Assassin".
  - **Mage/Shadowdancer**: Resets her level to 1 and applies the specialized multiclass combination "Mage/Shadowdancer".
  - **Necromancer/Thief**: Resets her level to 1 and applies the specialized multiclass combination "Necromancer/Thief".
  - **Fighter/Thief**: Resets her level to 1 and applies the multiclass combination "Fighter/Thief".
  - **Fighter/Assassin**: Resets her level to 1 and applies the specialized multiclass combination "Fighter/Assassin".
  - **Fighter/Shadowdancer**: Resets her level to 1 and applies the specialized multiclass combination "Fighter/Shadowdancer".

- **Change class/kit: Clara (BG2:EE and EET)**
  - **Reset level only**: Resets her level to 1, but makes no changes to her current class or kit.
  - **Choose your class**: This option allows you to choose any class/kit combination you desire. *Caution: Some class combinations can be immersion-breaking or may have unwanted side effects. Use at your own risk!*
  - **Bounty Hunter**: Resets her level to 1 and applies the thief kit "Bounty Hunter".
  - **Swashbuckler**: Resets her level to 1 and applies the thief kit "Swashbuckler".
  - **Shadowdancer**: Resets her level to 1 and applies the thief kit "Shadowdancer".
  - **Bard**: Resets her level to 1 and applies the class "Bard".

- **Change class/kit: Caelar Argent (SoD and EET)**: *Caution: With any of these options installed mage or priest spells gained by level up won't be available since the party has no opportunity to rest in Avernus to memorize her spells. Moreover, you won't be able to level up Caelar at all if she joins as a follower.*
  - **Reset level only**: Resets her level to 1, but makes no changes to her current class or kit.
  - **Choose your class**: This option allows you to choose any class/kit combination you desire. *Caution: Some class combinations can be immersion-breaking or may have unwanted side effects. Use at your own risk!*
  - **Cavalier**: Resets her level to 1 and applies the paladin kit "Cavalier".
  - **Inquisitor**: Resets her level to 1 and applies the paladin kit "Inquisitor".
  - **Undead Hunter**: Resets her level to 1 and applies the paladin kit "Undead Hunter".
